Subject: bug#12982: closed (Re: bug#12982: 24.2.90; Removed autoload not mentioned in news.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Nov 2012 01:45:02 +0000

Your bug report

#12982: 24.2.90; Removed autoload not mentioned in news.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12982: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12982
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12982: 24.2.90; Removed autoload not mentioned in news.
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 25 Nov 2012 20:43:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.2.91

Kim F. Storm wrote:

> Debugger entered--Lisp error: (void-variable hippie-expand-try-functions-list

I put the autoload for that one back.
The others no longer being autoloaded doesn't seem NEWSworthy to me, but
feel free to add a mention of it if you like.

Subject: 24.2.90; Removed autoload not mentioned in news.
From: [email-masked] (Kim F. Storm)
To: [email-masked]
Date: Sat, 24 Nov 2012 14:03:08 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

For ages, I have had these lines in my .emacs:

(setq hippie-expand-verbose nil)
(setq hippie-expand-try-functions-list
      (cons 'try-expand-dabbrev-visible hippie-expand-try-functions-list))

With 24.2.90, these now trigger a bug on load:

Debugger entered--Lisp error: (void-variable hippie-expand-try-functions-list)
  (cons (quote try-expand-dabbrev-visible) hippie-expand-try-functions-list)
  ...

Comparing hippie-exp.el, I see that the autoload clauses have been
removed for these variables -- obviously related to this change:

  2012-09-29  Glenn Morris  <[email-masked]>

	* hippie-exp.el (hippie-expand-try-functions-list)
	(hippie-expand-verbose, hippie-expand-dabbrev-skip-space)
	(hippie-expand-dabbrev-as-symbol, hippie-expand-no-restriction)
	(hippie-expand-max-buffers, hippie-expand-ignore-buffers)
	(hippie-expand-only-buffers): No need to autoload defcustoms.

At least this should be listed as an incompatible lisp change in 24.3 ...

In GNU Emacs 24.2.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2012-11-24 on kfs-lx2
Windowing system distributor `The X.Org Foundation', version 11.0.11104000
System Description:	Debian GNU/Linux 6.0.6 (squeeze)

Important settings:
  value of $LC_MONETARY: en_DK.utf8
  value of $LC_NUMERIC: en_DK.utf8
  value of $LC_TIME: en_DK.utf8
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  cua-mode: t
  ido-everywhere: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m <tab> <return>

Recent messages:
C1: nil
Loading /home/kfs/emacs/common/emacs/user/kfs/custom-cvs.el (source)...
Loading cua-base...done
Loading time...done
Loading keypad...done
Loading paren...done
Loading /home/kfs/emacs/common/emacs/user/kfs/custom-cvs.el (source)...done
C2: t
Loading /home/kfs/gm/gm5/tools/cgi-mode.el (source)...done
For information about GNU Emacs and the GNU system, type M-x about-emacs.

Load-path shadows:
/home/kfs/emacs/common/emacs/user/kfs/nero hides /home/kfs/emacs/common/emacs/lisp/nero
/home/kfs/emacs/common/emacs/lisp/mwheel hides /home/kfs/fsf/emacs-24.2.90/lisp/mwheel
/home/kfs/emacs/common/emacs/lisp/misc hides /home/kfs/fsf/emacs-24.2.90/lisp/misc
/home/kfs/emacs/common/emacs/user/kfs/vcursor hides /home/kfs/fsf/emacs-24.2.90/lisp/vcursor
/home/kfs/emacs/common/emacs/lisp/avoid hides /home/kfs/fsf/emacs-24.2.90/lisp/avoid
/home/kfs/emacs/common/emacs/lisp/printing hides /home/kfs/fsf/emacs-24.2.90/lisp/printing
/home/kfs/emacs/common/emacs/lisp/pong hides /home/kfs/fsf/emacs-24.2.90/lisp/play/pong
/home/kfs/emacs/common/emacs/lisp/smtpmail hides /home/kfs/fsf/emacs-24.2.90/lisp/mail/smtpmail

Features:
(shadow emacsbug message format-spec mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils imenu
cgi-mode derived windmove kmacro paren keypad time cua-base cus-start
cus-load telnet mailcrypt rfc822 comint ansi-color ring easymenu make
begendol ido warnings server cc-styles cc-align cc-engine cc-vars
cc-defs disp-table match aux-fct common printing ps-print ps-def lpr
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook
help simple abbrev minibuffer loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Kim F. Storm  <[email-masked]>      http://www.cua.dk